---
title: PushMessageData.arrayBuffer()
slug: Web/API/PushMessageData/arrayBuffer
tags:
  - API
  - ArrayBuffer
  - Experimental
  - Method
  - Push
  - PushMessageData
  - Reference
  - Service Workers
---
<p>{{APIRef("Push API")}}{{SeeCompatTable()}}</p>

<p>The <code><strong>arrayBuffer()</strong></code>method of the {{domxref("PushMessageData")}} interface extracts push message data as an {{domxref("ArrayBuffer")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myArrayBuffer = PushEvent.data.arrayBuffer();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>An {{domxref("ArrayBuffer")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">self.addEventListener('push', function(event) {
  var buffer = event.data.arrayBuffer();

  // do something with your array buffer
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API', '#dom-pushmessagedata-arraybuffer', 'arrayBuffer()')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushMessageData.arrayBuffer")}}</p>
</div>
